﻿
<ng-template #component>
    <form-template titleForm="Perfil" titleIcon="mdi mdi-account-edit" [form]="form" [clearButton]="false"
        [actions]="false" (onClose)="close()">
        <form #form="ngForm">
            <div class="row">
                <div class="col-md-12">
                    <div class="d-flex">
                        <div class="position-relative img-thumbnail" style="width: 128px; height: 128px;">
                            <img src="assets/img/user/2.jpg" alt="Usuario" class="w-100 h-100"
                                (load)="imgLoaded = true">
                            <div class="position-absolute left-0 top-0 w-100 h-100 bg-light d-flex justify-content-center align-items-center"
                                *ngIf="!imgLoaded">
                                <span class="spinner-border spinner-border-sm text-primary ml-n1"></span>
                            </div>
                        </div>
                        <div class="p-3">
                            <h6 class="mb-1">{{ model.unique_name }}</h6>
                            <div class="text-secondary font-md">{{ role[model.role] }}</div>
                            <!--<small class="mt-2 text-muted">Creado: {{ model?.create_date | date:'dd-MM-yyyy' }}</small>-->
                            <div class="progress progress-step mt-3">
                                <div class="progress-bar bg-info"></div>
                                <div class="progress-bar bg-info"></div>
                                <div class="progress-bar bg-info"></div>
                                <div class="progress-bar bg-info"></div>
                                <div class="progress-bar"></div>
                                <div class="progress-bar"></div>
                            </div>
                        </div>
                        <div class="ml-auto mb-auto d-flex flex-column">
                            <button class="btn btn-info btn-sm" (click)="changePassword.open()">
                                Cambiar Contraseña
                            </button>
                            <button class="btn btn-danger btn-sm mt-2" (click)="deleteResidencia()" *ngIf="canDeleteResidencia">
                                Borrar Residencia
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="divider-horizontal"></div>
            <!-- <div class="row">
                <div class="col-md-9" [input-wrapper]="name" label="Nombre" labelClass="mt-3">
                    <input type="text" class="form-control" name="name" id="name" [(ngModel)]="model.Name"
                        #name="ngModel" placeholder="Nombre" #focus>
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" [input-wrapper]="lastName" label="Apellido">
                    <input type="text" class="form-control" name="lastName" id="lastName" [(ngModel)]="model.LastName"
                        #lastName="ngModel" placeholder="Apellido">
                </div>
            </div> -->
            <div class="row">
                <div class="col-md-9" [input-wrapper]="email" label="Correo Electronico">
                    <input type="email" class="form-control" name="email" id="email" [(ngModel)]="model.email"
                        #email="ngModel" placeholder="Correo Electronico" ngbAutofocus readonly>
                </div>
            </div>
        </form> 
    </form-template>
</ng-template>

<app-change-password #changePassword></app-change-password>

